import { Construct } from 'constructs';
import { SecurityStandard } from './types';
/**
 * Properties for the PlatformQueue Construct
 */
export interface PlatformQueueProps {
    /**
     * Whether the queue is first-in first-out (fifo)
     */
    readonly fifo?: boolean;
    /**
     * Whether the queue has a dead letter queue (dlq)
     */
    readonly dlq?: boolean;
    /**
     * The security standard for the queue
     */
    readonly securityStandard?: SecurityStandard;
}
/**
 * Construct that creates an AWS SQS queue with best practices
 */
export declare class PlatformQueue extends Construct {
    constructor(scope: Construct, id: string, props: PlatformQueueProps);
}
